Package com.arms.egovframework.javaservice.treeframework

## Class TreeConstant

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.TreeConstant

-     public class TreeConstant
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `Branch_TYPE` |
    `static java.lang.Long` | `First_Node_CID` |
    `static java.lang.String` | `First_Node_TYPE` |
    `static java.lang.String` | `Leaf_Node_TYPE` |
    `static java.lang.Long` | `MAX_UPLOAD_FILESIZE` |
    `static java.lang.String` | `Node_ID_Column` |
    `static java.lang.String` | `Node_Left_Column` |
    `static java.lang.String` | `Node_ParentID_Column` |
    `static java.lang.String` | `Node_Position_Column` |
    `static java.lang.String` | `Node_Right_Column` |
    `static java.lang.String` | `Node_Type_Column` |
    `static java.lang.String` | `REQADD_PREFIX_TABLENAME` |
    `static java.lang.String` | `REQSTATUS_PREFIX_TABLENAME` |
    `static java.lang.Long` | `ROOT_CID` |
    `static java.lang.String` | `ROOT_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeConstant()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isCType​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_CID

          public static final java.lang.Long ROOT_CID

    - #### First_Node_CID

          public static final java.lang.Long First_Node_CID

    - #### Node_ID_Column

          public static final java.lang.String Node_ID_Column

      See Also:
        Constant Field Values

    - #### Node_Position_Column

          public static final java.lang.String Node_Position_Column

      See Also:
        Constant Field Values

    - #### Node_Left_Column

          public static final java.lang.String Node_Left_Column

      See Also:
        Constant Field Values

    - #### Node_Right_Column

          public static final java.lang.String Node_Right_Column

      See Also:
        Constant Field Values

    - #### Node_ParentID_Column

          public static final java.lang.String Node_ParentID_Column

      See Also:
        Constant Field Values

    - #### Node_Type_Column

          public static final java.lang.String Node_Type_Column

      See Also:
        Constant Field Values

    - #### ROOT_TYPE

          public static final java.lang.String ROOT_TYPE

      See Also:
        Constant Field Values

    - #### First_Node_TYPE

          public static final java.lang.String First_Node_TYPE

      See Also:
        Constant Field Values

    - #### Leaf_Node_TYPE

          public static final java.lang.String Leaf_Node_TYPE

      See Also:
        Constant Field Values

    - #### Branch_TYPE

          public static final java.lang.String Branch_TYPE

      See Also:
        Constant Field Values

    - #### REQADD_PREFIX_TABLENAME

          public static final java.lang.String REQADD_PREFIX_TABLENAME

      See Also:
        Constant Field Values

    - #### REQSTATUS_PREFIX_TABLENAME

          public static final java.lang.String REQSTATUS_PREFIX_TABLENAME

      See Also:
        Constant Field Values

    - #### MAX_UPLOAD_FILESIZE

          public static final java.lang.Long MAX_UPLOAD_FILESIZE

  - ### Constructor Detail

    - #### TreeConstant

          public TreeConstant()

  - ### Method Detail

    - #### isCType

          public static boolean isCType​(java.lang.String value)